GET /api/external/hub/v1/inventory_requests/{id}/list_eligibility_checks

Path parameters

  • id string Required

    Inventory Request IR number

Responses

  • 200 application/json

    Listing eligibility checked successfully

    Hide response attributes Show response attributes object
    • ir_number string
    • warehouse_id integer
    • eligibility_results array[object]
      Hide eligibility_results attributes Show eligibility_results attributes object
      • listing_id integer
      • warehouse_id integer
      • ineligibility_reason string | null
      • has_eligibility_check boolean
      • success boolean | null
      • fba boolean
      • error_type string | null
      • legible_error string | null
      • steps_to_fix string | null
      • actionability string | null
      • translation string | null
  • 422

    Failed to check listing eligibility

  • 404

    Inventory request not found

  • 401

    Unauthorized - missing org_id

GET /api/external/hub/v1/inventory_requests/{id}/list_eligibility_checks
curl \
 --request GET 'https://api.useshelf.com/api/external/hub/v1/inventory_requests/{id}/list_eligibility_checks'
Response examples (200)
{
  "ir_number": "string",
  "warehouse_id": 42,
  "eligibility_results": [
    {
      "listing_id": 42,
      "warehouse_id": 42,
      "ineligibility_reason": "string",
      "has_eligibility_check": true,
      "success": true,
      "fba": true,
      "error_type": "string",
      "legible_error": "string",
      "steps_to_fix": "string",
      "actionability": "string",
      "translation": "string"
    }
  ]
}